Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface INamespace

All Superinterfaces:
  INamespaceObject, Serializable

public interface INamespace
extends INamespaceObject

Represents a WLAI namespace. This class contains any number of objects (e.g. ApplicationViewDescriptors) and other namespaces. A namespace must always be created within another namespace, eventually leading back to the root namespace (a singleton in any WLAI server). Because this interface extends INamespaceObject, all implementations of this interface must be Serializable.

Method Summary
`boolean` | `equals(Object obj)` Compare this object to the given object and determine if they are equal.
`boolean` | `isRoot()` Indicates whether this namespace is the root namespace.
`String` | `toString()` Return a string representation of this namespace object that includes its name and any other relevant information.

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`getDescription, getLastUpdateTime, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace, syncLastUpdateTime, touch`

Method Detail

### isRoot

    public boolean isRoot()

  Indicates whether this namespace is the root namespace.

  Returns:
    True if this namespace is the root namespace, false otherwise.

### toString

    public String toString()

  Return a string representation of this namespace object that includes its name and any other relevant information.

  Returns:
    A string representing this namespace object.

### equals

    public boolean equals(Object obj)

  Compare this object to the given object and determine if they are equal. For INamespaces, this means that both objects match in name, and parent namespace. be equal.

  Specified by:
    `equals` in interface `INamespaceObject`
  Returns:
    True if the name and namespace of the obj param equal this INamespace's name and namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD